> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 肯尼亚先令代付申请

<div class="flex flex-col gap-4">
  <div class="api-section-heading flex flex-col gap-y-4 w-full">
    <div class="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
      <h4 class="api-section-heading-title flex-1 mb-0">密钥私钥(生成签名)</h4>
    </div>

    <div />
  </div>

  <input id="secret-key" placeholder="密钥" class="px-3 py-2 border rounded-md" />

  <input id="private-key" placeholder="私钥" class="px-3 py-2 border rounded-md" />
</div>

## 相关主题

* [肯尼亚支付接口](/docs/zh/api/version2/Kenya)
* [HaiPay API 文档简介](/docs/zh/api-reference/overview)
* [HaiPay 配置与签名指南](/docs/zh/guide/config_settings_and_signature_rules_guide)


## OpenAPI

````yaml docs/zh/api-reference/kes/kes.openapi.json POST /kes/pay/apply
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /kes/pay/apply:
    post:
      tags: []
      summary: 肯尼亚先令代付申请
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: 业务ID（后台获取，需要根据URL中的币种传递对应的业务ID）
                orderId:
                  type: string
                  description: 商户订单号(必须保证唯一性，长度不超过48)
                  maxLength: 48
                amount:
                  type: string
                  description: 交易金额(单位：KSh） 范围:10-999,999
                accountType:
                  type: string
                  description: 账户类型： BANK_ACCOUNT
                  enum:
                    - BANK_ACCOUNT
                bankCode:
                  type: string
                  description: 银行代码
                accountNo:
                  type: string
                  description: 用户银行账号
                name:
                  type: string
                  description: >-
                    收款人姓名(格式：仅限英文字符，1-30位,"firstName middleName lastName"
                    (middleName 非必填, 不支持特殊字符和数字))
                  minLength: 1
                  maxLength: 30
                  pattern: ^[A-Za-z\s]+$
                phone:
                  type: string
                  description: 真实手机号
                email:
                  type: string
                  description: 真实电子邮件
                  format: email
                notifyUrl:
                  type: string
                  description: 回调地址
                  format: uri
                subject:
                  type: string
                  description: 支付备注（交易标题，商品名称，支付原因）
                body:
                  type: string
                  description: 备注详情
                partnerUserId:
                  type: string
                  description: >-
                    用户唯一标识（如用户ID userId），用于风控系统，必须真实有效，否则会影响交易。
                    格式要求：数字、大小写字母或常用符号-~!@#$%&*()_。
                  pattern: ^[A-Za-z0-9\-~!@#$%&*()_]+$
                sign:
                  type: string
                  description: 签名
              required:
                - appId
                - orderId
                - amount
                - accountType
                - bankCode
                - accountNo
                - name
                - phone
                - email
                - partnerUserId
                - sign
              additionalProperties: false
            examples: {}
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: 状态码
                  error:
                    type: string
                    description: 错误码
                  msg:
                    type: string
                    description: 提示信息
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: 商户订单号(必须保证唯一性)
                      orderNo:
                        type: string
                        description: 平台订单号
                      sign:
                        type: string
                        description: 签名
                    additionalProperties: true
                additionalProperties: true
      deprecated: false
      security: []

````